package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Sweyge;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface SweygeMapper {

    int insert(Sweyge record);

    int insertSelective(Sweyge record);

    int updateByPrimaryKeySelective(Sweyge record);

    int updateByPrimaryKey(Sweyge record);

    int deleteByPrimaryKey(Sweyge record);

    int deleteByIds(Collection<Object> collection);

    Sweyge selectByPrimaryKey(Sweyge record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Sweyge> dyncRead(Map<String, Object> dyncMap);

}